Draft: Rettangolo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rectangle and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Polygon.svg Poligono Pagina precedente:
Pagina successiva: Testo Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Rettangolo

Posizione nel menu
Draft → Rettangolo
Ambiente
Draft, Architettura
Avvio veloce
R E
Introdotto nella versione
0.7
Vedere anche
Ellisse, Cubo


Descrizione

Lo strumento Rettangolo crea un rettangolo selezionando due punti. Usa il tipo di linea e il colore impostati nel Vassoio di Draft.

È possibile aggiungere facoltativamente uno smusso di 45 gradi o un raccordo circolare a ogni angolo del rettangolo e dividere il rettangolo in una serie di righe e colonne di uguale dimensione.

Draft Rectangle example.jpg

Rettangolo definito da due vertici opposti


Utilizzo

  1. Premere il pulsante Draft Rectangle.png Rettangolo, o premere i tasti R e poi E.
  2. Selezionare un primo vertice nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto.
  3. Fare clic su un altro punto sulla vista 3D opposto al primo o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto.
Il secondo punto non deve essere vincolato agli assi X, Y o Z, altrimenti il rettangolo risultante non è corretto.

Il Rettangolo può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare i vertici in una nuova posizione.

La lunghezza e la larghezza del rettangolo possono essere cambiate dopo la creazione cambiando le sue proprietà.

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Rettangolo si riavvia dopo aver terminato la figura in costruzione, e consente di disegnare un nuovo rettangolo senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, il rettangolo crea una faccia piena (DATAMake Face True); in caso contrario, il rettangolo non crea una faccia (DATAMake Face False).
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

Dati

  • DATALength: specifica la lunghezza della forma nella direzione dell'asse X.
  • DATAHeight: specifica la larghezza della forma nella direzione dell'asse Y.
  • DATAChamfer Size: specifica la lunghezza in diagonale di uno smusso a 45° in ogni angolo del rettangolo.
  • DATAFillet Radius: specifica il raggio di un raccordo a 90° ad ogni angolo del rettangolo.
  • DATARows: specifica il numero di righe di uguale dimensione in cui è suddivisa la forma originale; per impostazione predefinita, 1 riga.
  • DATAColumns: specifica il numero di colonne di uguale dimensione in cui è suddivisa la forma originale; per impostazione predefinita, 1 colonna.
  • DATAMake Face: specifica se la forma crea una faccia o no. Se è True viene creata una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto.

View

  • VIEWPattern: specifica un Modello di disegno con cui riempire la faccia della forma. Questa proprietà funziona solo se DATAMake Face è True, e se VIEWDisplay Mode è "Flat Lines".
  • VIEWPattern Size: specifica la dimensione del Modello di disegno.
  • VIEWTexture Image: specifica il percorso di un file immagine da mappare sulla faccia della forma. Cancellando questa proprietà si rimuove l'immagine.
Il rettangolo dovrebbe avere le stesse proporzioni dell'immagine per evitare distorsioni nella mappatura.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Rettangolo può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Crea un oggetto Rectangle con length nella direzione X e height in direzione Y, con le unità in millimetri.
    • La lunghezza è parallela all'asse X se non è indicato nessun altro posizionamento.
  • Se viene dato un placement, esso viene utilizzato; altrimenti la forma viene creata all'origine.
  • Se face è True, la forma crea una faccia, cioè appare riempita.

Esempio:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
Arrow-left.svg Draft Polygon.svg Poligono Pagina precedente:
Pagina successiva: Testo Draft Text.svg Arrow-right.svg